LIRC libraries Linux Infrared Remote Control

Loading...
Searching...
No Matches
Macros | Functions
transmit.h File Reference
User-space driver API

Functions that prepare IR codes for transmitting. More...

`#include "ir_remote.h"`

Go to the source code of this file.

## Macros
#define | WBUF_SIZE 256

## Functions
void | send_buffer_init (void)
| Clear and re-initiate the buffer.
int | send_buffer_put (struct ir_remote *remote, struct ir_ncode *code)
| Initializes the global send buffer for transmitting the code in the second argument, residing in the remote in the first.
int | send_buffer_length (void)
| Do not document this function.
const lirc_t * | send_buffer_data (void)
lirc_t | send_buffer_sum (void)

## Detailed Description

Functions that prepare IR codes for transmitting.

Author
  Christoph Bartelmus

Operations in this module applies to the transmit buffer. The buffer is initiated using send_buffer_init(), filled with data using send_buffer_put() and accessed using send_buffer_data() and send_buffer_length().

A prepared buffer contains an even number of unsigned ints, each of which representing a pulse width in microseconds. The first item represents a pulse and the last thus a space.

Copyright (C) 1999 Christoph Bartelmus lirc@.nosp@m.bart.nosp@m.elmus.nosp@m..de

Definition in file transmit.h.